# Интернет-программирование, ИС, УлГТУ

Репозиторий для дисциплины Интернет-Программирование для кафедры ИС УлГТУ, направление 09.03.03 Прикладная информатика (Авторизация бизнес-решений).

## Правила оформления и сдачи лабораторных работ

1. Лабораторные работы выполняются в аудитории или дистанционно.
2. Посещать лабораторные занятия обязательно только для сдачи работ.
3. Лабораторная работа считается завершённой, если в [таблице с прогрессом в LMS](https://lms.ulstu.ru/course/view.php?id=2028) есть об этом отметка.
4. Для выполнения п.3 необходимо показать преподавателю выполненное задание во время лабораторного занятия.
5. Во время защиты лабораторной работы преподаватель может спрашивать или просить что-то исправить по теме Вашей работы.
6. Если необходимо оформить отчёт о выполнении лабораторной работы, об этом будет написано дополнительно.
7. Крайне не рекомендуется затягивать с выполнением лабораторных работ, т.к. их выполнение и защита должны быть последовательны.

## Лабораторные работы

Скоро появятся.

Frontend:

- [Лабораторная работа №F1 - Макет одностраничного сайта (Figma)](#)
- [Лабораторная работа №F2 - Каркас одностраничного веб-приложения (React)](#)
- [Лабораторная работа №F3 - Стилизация веб-приложения (React)](#)
- [Лабораторная работа №F4 - Взаимодействие с API (Axios)](#)
- [Лабораторная работа №F5 - Повторение на базовых технологиях (HTML, CSS)](#)

Backend:

- [Лабораторная работа №B1 - Разворачивание локального веб-сервера (PHP)](./lwB1/README.md)
- [Лабораторная работа №B2 - Разработка чат-бота для Telegram](./lwB2/README.md)
- [Лабораторная работа №B3 - Создание онлайн-чата при помощи WebSocket](./lwB3/README.md)

## Лабораторные работы - НЕ АКТУАЛЬНО

Обязательные лабораторные работы:

- [Лабораторная работа №1 - Создание макета сайта (Figma)](./legacy/lw01/README.md)
- [Лабораторная работа №2 - Вёрстка сайта (HTML, CSS)](./legacy/lw02/README.md)
- [Лабораторная работа №3 - Динамика сайта (JavaScript)](./legacy/lw03/README.md)
- [Лабораторная работа №5 - Создание веб-приложения при помощи ASP.NET Core](./legacy/lw05/README.md)
- [Лабораторная работа №6 - Изучение шаблона проектирования MVC](./legacy/lw06/README.md)

Лабораторные работы на выбор:

- [Лабораторная работа №F1 - Одностраничное приложение (TypeScript)](./legacy/lwF1/README.md)
- [Лабораторная работа №F2 - Получение данных через API (Fetch)](./legacy/lwF2/README.md)

## Правила допуска до экзамена

Так как у ИСЭ дисциплина идёт всего 1 семестр, то в нём есть элементы как frontend, так и backend.
Соответственно, и экзамен один, в котором два вопроса: на каждый раздел по одному.

Для допуска к экзамену **необходимо получить проходной балл как минимум по 6 работам из 8**.
Получение хороших баллов (сдача без замечаний) или сдача больше шести работ - возможность получить на автоматическую оценку.
